/*******************************************************************************
 * Copyright (c) 2014 BREDEX GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     BREDEX GmbH - initial API and implementation and/or initial documentation
 *******************************************************************************/
package org.eclipse.jubula.toolkit.swing.internal;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.annotation.Generated;

import org.eclipse.jdt.annotation.NonNull;
import org.eclipse.jubula.toolkit.internal.AbstractToolkitInfo;
import org.eclipse.jubula.tools.internal.xml.businessmodell.ComponentClass;
import org.eclipse.jubula.tools.internal.xml.businessmodell.Property;

/**
 * Contains information about the swing toolkit and its components
 */
@Generated(value = "org.eclipse.jubula.toolkit.api.gen.ToolkitInfoGenerator", 
           date =  "2020-02-26T08:09:53.586Z")
public final class SwingToolkitInfo extends AbstractToolkitInfo {

    @NonNull private Map<ComponentClass, String> m_map = new HashMap<ComponentClass, String>();

    /**
     * Constructor
     */
    public SwingToolkitInfo() {
        ComponentClass newComponentClass1 = new ComponentClass("com.bredexsw.guidancer.autserver.swing.implclasses.GraphicApplication"); //$NON-NLS-1$
        m_map.put(newComponentClass1,"org.eclipse.jubula.rc.swing.tester.SwingApplicationTester"); //$NON-NLS-1$
        ComponentClass newComponentClass2 = new ComponentClass("org.eclipse.jubula.SwingReflectionComponent"); //$NON-NLS-1$
        m_map.put(newComponentClass2,"org.eclipse.jubula.rc.swing.tester.SwingReflectionTester"); //$NON-NLS-1$
        ComponentClass newComponentClass3 = new ComponentClass("javax.swing.AbstractButton"); //$NON-NLS-1$
        m_map.put(newComponentClass3,"org.eclipse.jubula.rc.common.tester.ButtonTester"); //$NON-NLS-1$
        ComponentClass newComponentClass4 = new ComponentClass("com.bredexsw.guidancer.autserver.swing.implclasses.JMenuBarDefaultMapping"); //$NON-NLS-1$
        m_map.put(newComponentClass4,"org.eclipse.jubula.rc.swing.tester.JMenuBarTester"); //$NON-NLS-1$
        ComponentClass newComponentClass5 = new ComponentClass("javax.swing.JComboBox"); //$NON-NLS-1$
        m_map.put(newComponentClass5,"org.eclipse.jubula.rc.common.tester.ComboBoxTester"); //$NON-NLS-1$
        ComponentClass newComponentClass6 = new ComponentClass("javax.swing.JList"); //$NON-NLS-1$
        m_map.put(newComponentClass6,"org.eclipse.jubula.rc.common.tester.ListTester"); //$NON-NLS-1$
        ComponentClass newComponentClass7 = new ComponentClass("javax.swing.JLabel"); //$NON-NLS-1$
        m_map.put(newComponentClass7,"org.eclipse.jubula.rc.common.tester.LabelTester"); //$NON-NLS-1$
        ComponentClass newComponentClass8 = new ComponentClass("javax.swing.JTabbedPane"); //$NON-NLS-1$
        m_map.put(newComponentClass8,"org.eclipse.jubula.rc.common.tester.TabbedPaneTester"); //$NON-NLS-1$
        ComponentClass newComponentClass9 = new ComponentClass("javax.swing.JTable"); //$NON-NLS-1$
        m_map.put(newComponentClass9,"org.eclipse.jubula.rc.swing.tester.JTableTester"); //$NON-NLS-1$
        ComponentClass newComponentClass10 = new ComponentClass("javax.swing.text.JTextComponent"); //$NON-NLS-1$
        m_map.put(newComponentClass10,"org.eclipse.jubula.rc.common.tester.AbstractTextComponentTester"); //$NON-NLS-1$
        ComponentClass newComponentClass11 = new ComponentClass("javax.swing.JTree"); //$NON-NLS-1$
        m_map.put(newComponentClass11,"org.eclipse.jubula.rc.swing.tester.JTreeTester"); //$NON-NLS-1$
        ComponentClass newComponentClass12 = new ComponentClass("javax.swing.JProgressBar"); //$NON-NLS-1$
        m_map.put(newComponentClass12,"org.eclipse.jubula.rc.common.tester.WidgetTester"); //$NON-NLS-1$
        ComponentClass newComponentClass13 = new ComponentClass("org.eclipse.jubula.swing.os.component"); //$NON-NLS-1$
        m_map.put(newComponentClass13,"org.eclipse.jubula.rc.common.tester.OperatingSystemTester"); //$NON-NLS-1$
        ComponentClass newComponentClass14 = new ComponentClass("javax.swing.JSlider"); //$NON-NLS-1$
        m_map.put(newComponentClass14,"org.eclipse.jubula.rc.common.tester.SliderTester"); //$NON-NLS-1$
    }
    
    /** {@inheritDoc} */
    @NonNull public Map<ComponentClass, String> getTypeMapping() {
        return m_map;
    }
}